import { getAmountInWei as e } from "../web3/etherFunctions.mjs";
//#region libs/shared/common/src/functions/utils/walletBalances.utils.ts
var t = (t, n, r, i, a) => {
	try {
		return !r || !t ? !0 : i ? a ? +t * a <= +n : !0 : e(r, t) <= e(r, n);
	} catch {
		return !0;
	}
};
//#endregion
export { t as hasEnoughBalance };
